> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zeckta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Report

> Retrieves a paginated report of all messages sent within a specific campaign.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/messaging/sms/campaigns/{uuid}
openapi: 3.1.0
info:
  title: Zeckta Messaging API
  description: |
    Zeckta Messaging API provides SMS messaging,
    OTP verification, Sender Name management,
    delivery tracking, campaign messaging,
    and webhook integrations.
  contact:
    name: Zeckta
    url: https://zeckta.com
    email: support@zeckta.com
  license:
    name: Commercial
  version: 1.0.0
servers:
  - url: https://api.zeckta.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: SMS Messaging
    description: RESTful endpoints for single and bulk SMS
  - name: Sender Names
    description: SMS sender name management
  - name: Workspace
    description: Manage and inspect workspace / account details
  - name: OTP Service
    description: RESTful endpoints for 2-Factor Authentication
paths:
  /v1/messaging/sms/campaigns/{uuid}:
    get:
      tags:
        - SMS Messaging
      summary: Get Campaign Report
      description: >-
        Retrieves a paginated report of all messages sent within a specific
        campaign.
      operationId: getCampaignReport
      parameters:
        - name: uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 0
        - name: size
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 50
      responses:
        '200':
          description: Campaign report retrieved successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseCampaignReportDTO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '402':
          description: Payment Required
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '404':
          description: Campaign not found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '409':
          description: Conflict
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '429':
          description: Too Many Requests
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
components:
  schemas:
    ZecktaApiResponseCampaignReportDTO:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/CampaignReportDTO'
        requestId:
          type: string
    ZecktaApiResponseObject:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
        requestId:
          type: string
    CampaignReportDTO:
      type: object
      properties:
        campaignId:
          type: string
        workspaceId:
          type: integer
          format: int64
        name:
          type: string
        src:
          type: string
        message:
          type: string
        priority:
          type: string
        status:
          type: string
        totalRecipients:
          type: integer
          format: int32
        totalUnitsUsed:
          type: integer
          format: int32
        queued:
          type: integer
          format: int64
        sending:
          type: integer
          format: int64
        sent:
          type: integer
          format: int64
        delivered:
          type: integer
          format: int64
        failed:
          type: integer
          format: int64
        pagedMessages:
          $ref: '#/components/schemas/PagedMessagesDTO'
        createdAt:
          type: string
        updatedAt:
          type: string
    PagedMessagesDTO:
      type: object
      properties:
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
        content:
          type: array
          items:
            $ref: '#/components/schemas/CampaignRecipientStatusDTO'
        links:
          type: object
          additionalProperties:
            type: string
    CampaignRecipientStatusDTO:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        dest:
          type: string
        status:
          type: string
        cost:
          type: integer
          format: int32
        segments:
          type: integer
          format: int32
        createdAt:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      description: 'Provide your Zeckta API Key using: Bearer YOUR_API_KEY'
      scheme: bearer
      bearerFormat: API Key

````